body {
  background-color: #dec0ed;
  margin: 0;
}

.image--pokeball {
  height: 70px;
}
.image--dark {
  filter: brightness(10%);
}
.image--dark:hover {
  filter: brightness(100%);
  cursor: pointer;
}

/* ======== Start Header =========*/
.header {
  background: linear-gradient(to right, #7b2d9f, #491b5f);
  min-height: 90px;
}
.header__title {
  color: whitesmoke;
  font: 29px "Franklin Gothic Medium", sans-serif;
  letter-spacing: -3px;
  padding: 12px 20px 20px 5px;
}
.header--border-top-radius {
  max-height: 85px;
}
.header--flex {
  display: flex;
}

.figure {
  max-width: 25px;
}

/* ======== End Header =========*/
/* ======== Start Main =========*/
.main {
  min-height: 460px;
  background: linear-gradient(to right, #c41fb9, #ba00ad);
}
.main--grid {
  display: grid;
  grid-template-columns: 30% 30%;
  justify-content: space-evenly;
}
.main__pokemon-card {
  margin: 20px 0px 0px 10px;
}
.main__card-title {
  display: grid;
  grid-template-columns: 15% 55%;
  justify-content: center;
  background-color: whitesmoke;
  gap: 0em;
  border-radius: 20px;
  max-height: 80px;
  align-content: center;
}
.main__card-image {
  margin: 20px 0px 0px 10px;
}
.main__title-pokemon {
  font: bold 30px "Franklin Gothic Medium", sans-serif;
  text-align: center;
  padding-top: 1px;
}
.main__image-pokemon {
  width: 100%;
  height: 300px;
  transition: transform 0.9s;
}
.main__image-pokemon:hover {
  transform: scale(1.3);
  transition: all 0.9s ease;
}
.main__image-flame {
  width: 50px;
}

.section__habilities {
  max-height: 80px;
}
.section__habilities p, .section__habilities h4 {
  font: 24px "Franklin Gothic Book", sans-serif;
  text-align: center;
  margin: 0;
}
.section__pokemon-average {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: start;
  grid-template-rows: 100px 100px 100px;
  background-color: whitesmoke;
  border-radius: 20px;
  margin: 15px;
  align-content: center;
}
.section__pokemon-average div {
  padding: 30px;
}

/* ======== End Main =========*/
/* ======== Start Footer =========*/
.footer {
  min-height: 100%;
  padding: 2.1rem;
  background-color: #f3edc0;
}
.footer__item {
  text-transform: uppercase;
  text-align: center;
  font: 24px "Franklin Gothic Medium", sans-serif;
}
.footer__card {
  background-color: rgb(194, 194, 194);
  border-radius: 20px;
  width: 100px;
  transition: transform 0.9s;
}
.footer__card--red:hover {
  background-color: crimson;
}
.footer__card--gold:hover {
  background-color: gold;
}
.footer__card--blue:hover {
  background-color: #7197f7;
}
.footer__card--purple:hover {
  background-color: #c41fb9;
}
.footer__card:hover {
  transform: scale(1.3);
  transition: all 0.9s ease;
}
.footer--grid {
  display: grid;
  grid-template-columns: 22% 16% 16% 16% 16%;
  justify-content: center;
}
.footer__image {
  height: 100px;
}

/* ======== End Footer =========*/
@media only screen and (min-width: 901px) and (max-width: 1200px) {
  .section__pokemon-average {
    grid-template-rows: repeat(3, 60px);
    margin: 15px;
    align-content: center;
    row-gap: 2em;
    min-width: 280px;
  }
  .section__pokemon-average h4 {
    font-size: 16px;
  }
  .section__pokemon-average p {
    font-size: 19px;
  }
  .footer--grid {
    -moz-column-gap: 6px;
         column-gap: 6px;
  }
  .footer__image {
    width: 100px;
  }
}
@media only screen and (min-width: 800px) and (max-width: 901px) {
  .section__pokemon-average {
    grid-template-rows: repeat(3, 60px);
    margin: 15px;
    align-content: center;
    row-gap: 2em;
    min-width: 250px;
  }
  .section__pokemon-average h4 {
    font-size: 15px;
  }
  .section__pokemon-average p {
    font-size: 18px;
  }
  .footer--grid {
    -moz-column-gap: 5px;
         column-gap: 5px;
  }
  .footer__image {
    width: 100px;
  }
}
@media only screen and (min-width: 701px) and (max-width: 800px) {
  .section__pokemon-average {
    grid-template-rows: repeat(3, 50px);
    margin: 15px;
    align-content: center;
    row-gap: 2em;
    min-width: 240px;
  }
  .section__pokemon-average h4 {
    font-size: 15px;
  }
  .section__pokemon-average p {
    font-size: 18px;
  }
  .footer--grid {
    -moz-column-gap: 3px;
         column-gap: 3px;
  }
  .footer__image {
    width: 80px;
  }
}
@media only screen and (min-width: 601px) and (max-width: 700px) {
  .section__pokemon-average {
    grid-template-rows: repeat(3, 50px);
    margin: 15px;
    align-content: center;
    row-gap: 2em;
    min-width: 220px;
  }
  .section__pokemon-average h4 {
    font-size: 16px;
  }
  .section__pokemon-average p {
    font-size: 17px;
  }
  .footer--grid {
    -moz-column-gap: 3px;
         column-gap: 3px;
  }
  .footer__image {
    width: 90px;
  }
}
@media only screen and (min-width: 550px) and (max-width: 600px) {
  .section__pokemon-average {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: 155px;
    margin-right: 155px;
  }
}
@media only screen and (min-width: 450px) and (max-width: 550px) {
  .section__pokemon-average {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: 125px;
    margin-right: 125px;
  }
}
@media only screen and (min-width: 421px) and (max-width: 450px) {
  .section__pokemon-average {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: 95px;
    margin-right: 95px;
  }
}
@media only screen and (min-width: 321px) and (max-width: 421px) {
  .section__pokemon-average {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: 75px;
    margin-right: 75px;
  }
}
@media only screen and (min-width: 120px) and (max-width: 320px) {
  .section__pokemon-average {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    row-gap: 3px;
    padding: 35px 0;
    margin-left: 55px;
    margin-right: 55px;
  }
}
@media only screen and (min-width: 120px) and (max-width: 600px) {
  body {
    margin: 0;
  }
  .image--pokeball {
    height: 3.5em;
  }
  /* ======== Start Header Mobile =========*/
  .header {
    width: 100%;
    margin: 0;
  }
  .header--border-top-radius {
    border-radius: 0px;
  }
  .header--flex {
    justify-content: center;
    align-items: center;
  }
  .header__title {
    font-size: 22px;
    margin-top: 5px;
  }
  /* ======== End Header Mobile =========*/
  /* ======== Start Main Mobile =========*/
  .main {
    margin: auto;
    padding-top: 10px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 25% 55%;
  }
  .main__card-image {
    max-height: 150px;
    margin: 0;
    padding: 0;
  }
  .main--grid {
    grid-template-columns: 1fr;
    gap: 1em;
  }
  .main__pokemon-card {
    margin: auto;
  }
  .main__title-pokemon {
    font-size: 18px;
    margin-top: 22px;
  }
  .main__image-flame {
    width: 27px;
  }
  .main__image-pokemon {
    position: relative;
    width: 250px;
    height: auto;
    top: 35px;
  }
  .section__pokemon-average {
    padding-left: 3rem;
  }
  .section__pokemon-average div {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: start;
    padding: 5px;
  }
  .section__pokemon-average h4, .section__pokemon-average p {
    font-size: 15px;
    text-align: left;
  }
  /* ======== End Main Mobile =========*/
  /* ======== Start Footer Mobile =========*/
  .footer {
    margin: 0;
    padding: 0;
    height: 100%;
  }
  .footer__item {
    font-size: 19px;
    grid-column: 1/3;
    height: 5px;
  }
  .footer--grid {
    display: grid;
    grid-template-columns: 38% 38%;
    justify-content: center;
    gap: 15px;
    justify-items: center;
  }
  body {
    background-color: #f3edc0;
  }
  /* ======== End Footer Mobile =========*/
}
@media only screen and (min-width: 600px) and (max-width: 700px) {
  .main__image-flame {
    width: 22px;
  }
  .main__image-pokemon {
    position: relative;
    width: 230px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 26% 95%;
  }
  .main__title-pokemon {
    font-size: 18px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 700px) and (max-width: 800px) {
  .main__image-flame {
    width: 24px;
  }
  .main__image-pokemon {
    position: relative;
    width: 240px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 26% 95%;
  }
  .main__title-pokemon {
    font-size: 19px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 800px) and (max-width: 900px) {
  .main__image-flame {
    width: 32px;
  }
  .main__image-pokemon {
    position: relative;
    width: 250px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 22% 92%;
  }
  .main__title-pokemon {
    font-size: 20px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 900px) and (max-width: 1000px) {
  .main__image-flame {
    width: 42px;
  }
  .main__image-pokemon {
    position: relative;
    width: 260px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 22% 91%;
  }
  .main__title-pokemon {
    font-size: 24px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 1000px) and (max-width: 1100px) {
  .main__image-flame {
    width: 45px;
  }
  .main__image-pokemon {
    position: relative;
    width: 270px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 19% 81%;
  }
  .main__title-pokemon {
    font-size: 25px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 1100px) and (max-width: 1200px) {
  .main__image-flame {
    width: 46px;
  }
  .main__image-pokemon {
    position: relative;
    width: 270px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 19% 81%;
  }
  .main__title-pokemon {
    font-size: 25px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}
@media only screen and (min-width: 1200px) and (max-width: 1300px) {
  .main__image-flame {
    width: 46px;
  }
  .main__image-pokemon {
    position: relative;
    width: 270px;
    height: 100%;
    top: 5px;
  }
  .main__card-title {
    margin: auto;
    grid-template-columns: 19% 81%;
  }
  .main__title-pokemon {
    font-size: 27px;
  }
  .main--grid {
    justify-content: center;
    gap: 5em;
  }
}/*# sourceMappingURL=styles.css.map */